Skip to content

/device/token

POST
/device/token
curl --request POST \
--url https://gymgym.club/api/auth/device/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "grant_type": "urn:ietf:params:oauth:grant-type:device_code", "device_code": "example", "client_id": "example" }'

Exchange device code for access token

Follow rfc8628#section-3.4

Media typeapplication/json
object
grant_type
required

The grant type for device flow

Allowed values: urn:ietf:params:oauth:grant-type:device_code
device_code
required

The device verification code

string
client_id
required

The client ID of the application

string

Success

Media typeapplication/json
object
session
object
id
required
string
expiresAt
required
string format: date-time
token
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
ipAddress
string
userAgent
string
userId
required
string
impersonatedBy
string
user
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
role
string
banned
boolean
banReason
string
banExpires
string format: date-time
isAnonymous
boolean
lastLoginMethod
string
Example
{
"user": {
"emailVerified": false,
"banned": false,
"isAnonymous": false
}
}

Error response

Media typeapplication/json
object
error
string
Allowed values: authorization_pending slow_down expired_token access_denied invalid_request invalid_grant
error_description
string
Example
{
"error": "authorization_pending"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}